## protobuf-c 0.12

=== debian/changelog ===
protobuf-c (0.12-3build1) maverick; urgency=low

  * No changes upload for libprotobuf5 -> libprotobuf6 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 16 Sep 2010 22:19:30 +0200

protobuf-c (0.12-3) unstable; urgency=low

  * libprotobuf-c0.symbols: Increase minimum required version for buggy
    functions fixed in 0.12-2.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 12 Feb 2010 16:42:58 -0500

protobuf-c (0.12-2) unstable; urgency=low

  * Convert source package to 3.0 (quilt) format.
  * Cherry pick upstream bug fix (issue #35) for
    protobuf_c_enum_descriptor_get_value_by_name(),
    protobuf_c_service_descriptor_get_method_by_name() functions.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 09 Feb 2010 19:54:28 -0500

protobuf-c (0.12-1) unstable; urgency=low

  * New upstream release.
  * Drop patches included upstream: 10_ftbfs_big_endian, 30_wire_format_fix.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 24 Jan 2010 15:20:18 -0500

protobuf-c (0.11-4) unstable; urgency=low

  * Add versioned build dependency on libprotobuf-dev.
  * libprotobuf-dev header renamed: wire_format_inl.h -> wire_format.h.
  * Closes: #559960.

 -- Robert S. Edmonds <edmonds@debian.org>  Mon, 07 Dec 2009 16:42:12 -0800

protobuf-c (0.11-3) unstable; urgency=low

  * Second attempt at fixing FTBFS on big endian platforms; closes: #544755.

 -- Robert S. Edmonds <edmonds@debian.org>  Wed, 11 Nov 2009 12:07:02 -0500

protobuf-c (0.11-2) unstable; urgency=low

  * Fix FTBFS on big endian platforms; closes: #544755.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 10 Nov 2009 22:02:38 -0500

protobuf-c (0.11-1) unstable; urgency=low

  * New upstream release; closes: #529004.
  * Add build dependency on libprotoc-dev; closes: #540970.
  * Drop .la file from libprotobuf-c0-dev.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 23 Aug 2009 13:59:24 -0400

protobuf-c (0.10-2) unstable; urgency=low

  * Add dependency on libprotobuf-c0 for package libprotobuf-c0-dev;
    closes: #529042.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 17 May 2009 15:22:48 -0400

protobuf-c (0.10-1) unstable; urgency=low

  * Initial release; closes: #528147.

 -- Robert S. Edmonds <edmonds@debian.org>  Sun, 10 May 2009 23:34:05 -0400
