=== debian/control ===
Source: protobuf-c
Section: devel
Priority: optional
Maintainer: Robert S. Edmonds <edmonds@debian.org>
Build-Depends: debhelper (>= 7), autoconf, autotools-dev, automake, libtool,
 libprotobuf-dev (>= 2.2.0a-0.1~), libprotoc-dev, protobuf-compiler,
 zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://protobuf-c.googlecode.com/

Package: protobuf-c-compiler
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: protocol buffers C compiler
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data – think XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then
 you can use special generated source code to easily write and read your
 structured data to and from a variety of data streams and using a variety
 of languages. You can even update your data structure without breaking
 deployed programs that are compiled against the "old" format.
 .
 This is the C implementation of protocol buffers.
 .
 This package contains a compiler that generates C stubs from protocol
 buffer schemas. These stubs must be compiled and linked against
 libprotobuf-c.

Package: libprotobuf-c0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Protocol Buffers C library
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data – think XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then
 you can use special generated source code to easily write and read your
 structured data to and from a variety of data streams and using a variety
 of languages. You can even update your data structure without breaking
 deployed programs that are compiled against the "old" format.
 .
 This is the C implementation of protocol buffers.
 .
 This package contains the shared library.

Package: libprotobuf-c0-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-c0 (= ${binary:Version}), ${misc:Depends}
Description: Protocol Buffers C static library and headers
 Protocol buffers are a flexible, efficient, automated mechanism for
 serializing structured data – think XML, but smaller, faster, and
 simpler. You define how you want your data to be structured once, then
 you can use special generated source code to easily write and read your
 structured data to and from a variety of data streams and using a variety
 of languages. You can even update your data structure without breaking
 deployed programs that are compiled against the "old" format.
 .
 This is the C implementation of protocol buffers.
 .
 This package contains the static library and development headers.
