## protobuf-c 0.14

=== debian/changelog ===
protobuf-c (0.14-1) unstable; urgency=low

  * New upstream release.

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 07 Sep 2010 17:00:07 -0400
