=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7), autoconf, autotools-dev, automake, libtool,
  libprotobuf-dev (>= 2.2.0a-0.1~), libprotoc-dev, protobuf-compiler,
  zlib1g-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://protobuf-c.googlecode.com/
 
 Package: protobuf-c-compiler
