=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
%:
	dh $@

build: build-stamp
build-stamp:
	dh build --before configure
	autoreconf -fvi
	dh build --remaining
	touch $@

clean:
	dh clean 

install: build
	dh install

binary-arch: install
	dh binary-arch

binary: binary-arch
