## protobuf-c 0.15

=== debian/changelog ===
protobuf-c (0.15-1build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 12:40:47 +0000

protobuf-c (0.15-1) unstable; urgency=low

  [ tony mancill ]
  * New upstream release. (Closes: #622915)
    - add new versioned symbol for protobuf_c_message_init@Base
  * Bump Standards-Version to 3.9.5 (no changes).
  * Depend on debhelper 9; bump debian/compat.
  * Update .install files for multi-arch installation directories.

  [ Robert S. Edmonds ]
  * protobuf-c-compiler: add a Recommends on the -dev package;
    closes: #704877.
  * A side-effect of bumping the debhelper compat level to 9 is to enable
    hardened build flags; closes: #673674.
  * Use dh-autoreconf.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 15 Nov 2013 18:53:07 -0500
