=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Robert S. Edmonds <edmonds@debian.org>
-Build-Depends: debhelper (>= 7), autoconf, autotools-dev, automake, libtool,
- libprotobuf-dev (>= 2.2.0a-0.1~), libprotoc-dev, protobuf-compiler,
+Build-Depends: debhelper (>= 9), dh-autoreconf, autoconf, autotools-dev,
+ automake, libtool, libprotobuf-dev, libprotoc-dev, protobuf-compiler,
  zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.5
 Homepage: http://protobuf-c.googlecode.com/
 
 Package: protobuf-c-compiler
 Architecture: any
 Section: devel
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libprotobuf-c0-dev
 Description: protocol buffers C compiler
  Protocol buffers are a flexible, efficient, automated mechanism for
  serializing structured data – think XML, but smaller, faster, and
