## protobuf-c 1.0.1

=== debian/changelog ===
protobuf-c (1.0.1-1) unstable; urgency=medium

  * New upstream release.
    - Explicitly set the .data field of ProtobufCBinaryData's to NULL when
      unpacking a zero length byte string. (Closes: #756983).

 -- Robert S. Edmonds <edmonds@debian.org>  Tue, 05 Aug 2014 15:07:20 -0400

protobuf-c (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * protobuf-c-compiler: upgrade the Recommends on libprotobuf-c-dev to a
    Depends. This prevents use of older libprotobuf-c0-dev with newer
    protobuf-c-compiler.
  * libprotobuf-c-dev: declare a Breaks on older protobuf-c-compiler. This
    prevents use of older protobuf-c-compiler with newer libprotobuf-c-dev.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 25 Jul 2014 14:00:36 -0400

protobuf-c (1.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Upload to experimental.
  * Bump ABI version from 0 to 1.
  * Ship the pkg-config .pc file in the -dev package. (Closes: #731726)

 -- Robert S. Edmonds <edmonds@debian.org>  Sat, 05 Apr 2014 16:29:14 -0400
