## protobuf-c 1.0.2

=== debian/changelog ===
protobuf-c (1.0.2-1build2) wily; urgency=medium

  * No-change rebuild against libprotobuf9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 18:47:54 +0000

protobuf-c (1.0.2-1build1) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 11:08:21 +0000

protobuf-c (1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Fixes FTBFS with protobuf 2.6.0.

 -- Robert S. Edmonds <edmonds@debian.org>  Fri, 12 Sep 2014 16:37:43 -0400
