=== debian/changelog ===
protobuf-c (1.2.1-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Imported Upstream version 1.2.1
  * debian/gbp.conf: Remove [dch] id-length
  * debian/copyright: 2016

 -- Robert Edmonds <edmonds@debian.org>  Tue, 02 Feb 2016 17:41:52 -0500

protobuf-c (1.1.1-1) unstable; urgency=medium

  * Imported Upstream version 1.1.1
    - (Closes: #801950.)
  * debian/control: Update Maintainer
  * debian/control: Update Standards-Version to 3.9.6 (no changes)
  * debian/: Run "wrap-and-sort -sbt"
  * debian/control: Add versioned build dependency on protobuf 2.6.0
  * debian/gbp.conf: Add [dch] section
  * debian/copyright: 2015

 -- Robert Edmonds <edmonds@debian.org>  Sat, 24 Oct 2015 16:27:23 -0400
