=== debian/control ===
--- 
+++ 
@@ -1,28 +1,32 @@
 Source: protobuf-c
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Robert S. Edmonds <edmonds@debian.org>
+Maintainer: Robert Edmonds <edmonds@debian.org>
 Build-Depends:
- debhelper (>= 9),
- dh-autoreconf,
  autoconf,
  automake,
  autotools-dev,
+ debhelper (>= 9),
+ dh-autoreconf,
+ libprotobuf-dev (>= 2.6.0~),
+ libprotoc-dev (>= 2.6.0~),
  libtool,
  pkg-config,
- libprotobuf-dev,
- libprotoc-dev,
- protobuf-compiler
-Standards-Version: 3.9.5
+ protobuf-compiler (>= 2.6.0~),
+Standards-Version: 3.9.6
 Homepage: https://github.com/protobuf-c/protobuf-c
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/edmonds/protobuf-c.git
 Vcs-Git: git://anonscm.debian.org/users/edmonds/protobuf-c.git
 
-Package: protobuf-c-compiler
+Package: libprotobuf-c-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libprotobuf-c-dev (= ${binary:Version})
-Description: Protocol Buffers C compiler (protobuf-c)
+Section: libdevel
+Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
+Provides: libprotobuf-c0-dev
+Conflicts: libprotobuf-c0-dev
+Replaces: libprotobuf-c0-dev
+Breaks: protobuf-c-compiler (<< 1.0.0~)
+Description: Protocol Buffers C static library and headers (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -33,14 +37,12 @@
  .
  This is the "protobuf-c" implementation of Protocol Buffers in C.
  .
- This package contains the "protoc-c" code generator that creates C stubs from
- Protocol Buffers .proto files. These stubs must be compiled and linked against
- the libprotobuf-c support library.
+ This package contains the static library and development headers.
 
 Package: libprotobuf-c1
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Protocol Buffers C shared library (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
@@ -72,15 +74,13 @@
  .
  This package contains detached debugging symbols for the shared library.
 
-Package: libprotobuf-c-dev
+Package: protobuf-c-compiler
 Architecture: any
-Section: libdevel
-Depends: libprotobuf-c1 (= ${binary:Version}), ${misc:Depends}
-Provides: libprotobuf-c0-dev
-Conflicts: libprotobuf-c0-dev
-Replaces: libprotobuf-c0-dev
-Breaks: protobuf-c-compiler (<< 1.0.0~)
-Description: Protocol Buffers C static library and headers (protobuf-c)
+Depends:
+ libprotobuf-c-dev (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Protocol Buffers C compiler (protobuf-c)
  Protocol Buffers are a flexible, efficient, automated mechanism for
  serializing structured data - similar to XML, but smaller, faster, and
  simpler. You define how you want your data to be structured once, then you can
@@ -91,4 +91,6 @@
  .
  This is the "protobuf-c" implementation of Protocol Buffers in C.
  .
- This package contains the static library and development headers.
+ This package contains the "protoc-c" code generator that creates C stubs from
+ Protocol Buffers .proto files. These stubs must be compiled and linked against
+ the libprotobuf-c support library.
