## protobuf-c 1.3.1

=== debian/changelog ===
protobuf-c (1.3.1-1build1) disco; urgency=medium

  * No-change rebuild against latest protobuf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 10 Nov 2018 15:33:20 -0500

protobuf-c (1.3.1-1) unstable; urgency=medium

  * New upstream version 1.3.0
  * New upstream version 1.3.1
    - (Closes: #900621.)
  * debian/control: Update Vcs-* links to use salsa.debian.org URLs
  * debian/copyright: Format: http -> https
  * debian/copyright: Add 2017, 2018 to copyright years
  * debian/control: Bump debhelper build-dependency to >= 10
  * debian/compat: Bump debhelper compat level to 10
  * debian/rules: Drop -dbg package in favor of automatically generated
    -dbgsym package
  * debian/control: Remove libprotobuf-c1-dbg package
  * debian/control: Drop build-dependencies that are transitively pulled
    in by depending on debhelper (>= 10)
  * debian/rules: Remove hardcoding of DH_VERBOSE=1 environment variable
  * debian/control: Bump Standards-Version to 4.2.0
  * debian/rules: Remove "--with autoreconf" from invocation of dh,
    default since debhelper compat 10
  * debian/rules: Enable build hardening
  * debian/libprotobuf-c1.symbols: Update symbols for 1.3.1
  * debian/control: Drop Provides/Conflicts/Replaces on
    libprotobuf-c0-dev, which is only present in oldoldstable (wheezy)

 -- Robert Edmonds <edmonds@debian.org>  Wed, 15 Aug 2018 01:37:03 -0400

protobuf-c (1.2.1-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mark libprotobuf-c* Multi-Arch: same.
  * Drop the protobuf-c-compiler -> libprotobuf-c-dev dependency.
  * Mark protobuf-c-compiler Multi-Arch: foreign (Closes: #845518).

 -- Robert Edmonds <edmonds@debian.org>  Sat, 26 Nov 2016 16:50:30 -0500
