=== debian/changelog ===
protobuf-c (1.3.1.1-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 9e6ef363c40f18ce2002e0cd7fc2558080421679']

 -- shuttle <shuttle@deepin.com>  Tue, 10 Dec 2019 19:55:09 +0000
