## protobuf-c 1.3.2

=== debian/changelog ===
protobuf-c (1.3.2-1) unstable; urgency=medium

  * New upstream version 1.3.2
  * debian/copyright: Add 2019 to copyright years
  * debian/control: Bump Standards-Version to 4.4.0 (no changes)

 -- Robert Edmonds <edmonds@debian.org>  Mon, 26 Aug 2019 00:10:37 -0400
