=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libprotoc-dev (>= 2.6.0~),
  pkg-config,
  protobuf-compiler (>= 2.6.0~),
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/protobuf-c/protobuf-c
 Vcs-Browser: https://salsa.debian.org/edmonds/protobuf-c
 Vcs-Git: https://salsa.debian.org/edmonds/protobuf-c.git
