## protobuf-c 1.3.3

=== debian/changelog ===
protobuf-c (1.3.3-1ubuntu2) jammy; urgency=medium

  * Add another 'build-test' autopkgtest to verify usability of the actually
    installed libprotobuf-c library

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 04 Feb 2022 15:28:50 +0100

protobuf-c (1.3.3-1ubuntu1) jammy; urgency=medium

  * Add d/watch and run the self tests as autopkgtest

 -- Lukas Märdian <slyon@ubuntu.com>  Fri, 04 Feb 2022 12:33:06 +0100

protobuf-c (1.3.3-1build2) groovy; urgency=medium

  * Rebuild against new libprotobuf23.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 26 Jul 2020 10:21:46 +0200

protobuf-c (1.3.3-1build1) groovy; urgency=medium

  * No-change rebuild against libprotoc22

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 May 2020 21:26:15 +0000

protobuf-c (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * debian/control: Bump Standards-Version to 4.5.0 (no changes)
  * debian/control: Bump debhelper compat level to 12
  * debian/libprotobuf-c1.symbols: Add "* Build-Depends-Package:
    libprotobuf-c-dev"

 -- Robert Edmonds <edmonds@debian.org>  Thu, 13 Feb 2020 20:22:35 -0500
