## protobuf-c 1.4.1

=== debian/changelog ===
protobuf-c (1.4.1-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:16:39 +0000

protobuf-c (1.4.1-1ubuntu3) noble; urgency=high

  * No change rebuild against libprotobuf32t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 14:20:26 +0100

protobuf-c (1.4.1-1ubuntu2) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jan 2023 17:47:24 +0100

protobuf-c (1.4.1-1ubuntu1) kinetic; urgency=medium

  * Merged from Debian unstable.  Remaining changes: (LP 1956617)
    + d/tests/{control,build-test}: Run self-test and 'build-test' autopkgtest
    + d/watch: Adding watch file

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 12 Jul 2022 17:14:35 +0200

protobuf-c (1.4.1-1) unstable; urgency=medium

  * New upstream version 1.4.1

 -- Robert Edmonds <edmonds@debian.org>  Sun, 10 Jul 2022 21:55:24 -0400
